org.eclipse.emf.facet.widgets.celleditors.core.composite.registry

## Interface ICompositeEditorFactoriesRegistry

    public interface ICompositeEditorFactoriesRegistry

Registry for the "compositeEditorFactories" extension point

Since:
  1.0
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICompositeEditorFactoriesRegistry` `INSTANCE` the singleton `ICompositeEditorFactoriesRegistry`

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> ICompositeEditorFactory<T>` `getCompositeEditorFactory(java.lang.Class<T> type)`
`boolean` `hasCompositeEditorFactory(java.lang.Class<?> type)` Whether there is a `CompositeEditorFactory` for the given type

### Field Detail

#### INSTANCE

    static final ICompositeEditorFactoriesRegistry INSTANCE

the singleton `ICompositeEditorFactoriesRegistry`

### Method Detail

#### hasCompositeEditorFactory

    boolean hasCompositeEditorFactory(java.lang.Class<?> type)

Whether there is a `CompositeEditorFactory` for the given type

#### getCompositeEditorFactory

    <T> ICompositeEditorFactory<T> getCompositeEditorFactory(java.lang.Class<T> type)

Returns:
  the `CompositeEditorFactory` for the given type, or `null` if none is registered